Welcome to the new Schneider Electric Community

It's your place to connect with experts and peers, get continuous support, and share knowledge.

  • Explore the new navigation for even easier access to your community.
  • Bookmark and use our new, easy-to-remember address (community.se.com).
  • Get ready for more content and an improved experience.

Contact SchneiderCommunity.Support@se.com if you have any questions.

Close
Invite a Co-worker
Send a co-worker an invite to the Exchange portal.Just enter their email address and we’ll connect them to register. After joining, they will belong to the same company.
Send Invite Cancel
84424members
353613posts

jre version used by PME7.2 installer

Archives: Power Management Systems

sesa105048_brid
Lieutenant Lieutenant
Lieutenant

jre version used by PME7.2 installer

I had an experience few days ago and want to share it.

When PME 72 installer is working to install Floating License manager it is checking the presence of Java SE RE  on PME server.

In some circumstances (operation system version and security updates) PME installer will fail to install Floating License Manager, clasical error 1722 popup and from here some license registration fails.

There are two resolutions (InQuira FA228553 and FA231060) which in some and most of the cases do not help using java version present on PME installer package.

This is because there is a small difference between jre from Java.com and the one from Oracle.com which make error 1722 to pop up.

What i discovered is the fact that the only Java updated version which is on Oracle.com  is solving the problem. (Java is part of ORACLE now)

There have been an unsolved bug into java version related to error code 1722 and it has been fixed in a new version present on Oracle.com

It is about to download jer-8u20-windows-x64.exe from Oracle and instal it  on PME server.

After these  Floating License manager Setup will succeed to install  and finish with success license activation.

I am not expert on java and i do not know exactly all details of what for is used in this PME Floating  License  Manager install process but my filling is that this can be one route cause of many license fails on PME 7.2.2.

4 Replies 4
EduardoFainblum
Commander Commander
Commander
0 Likes
0
32

Re: jre version used by PME7.2 installer

Hi Vasile,

Good posting. I'm copying so he can be aware of this and comment.

Attila_Fritz
Spock Spock
Spock

Re: jre version used by PME7.2 installer

I am aware of this issue and to my knowledge FA231060 is a surefire way to fix it. It's interesting and good to know that installing the version of Java 8 from Oracle also solves the problem.

Adrian_Dicea
Janeway Janeway
Janeway

Re: jre version used by PME7.2 installer

I'm adding an installation on a x86 system to this discussion.

I just had this error:

"Error 1722.There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor.
Action SE_InstallLMAdminCA, location: C:\Users\!Powerlogic!\Desktop\FloatingLicenseManager\lmadmin-i86_n3-11_11_1_1.exe,
command: -DUSER_INSTALL_DIR="C:\Program Files (x86)\Schneider Electric\Floating License Manager\FLEXnet Publisher License Server Manager\" -DHTTP_PORT_NUMBER=8090 -DLIC_PORT_NUMBER=0 -i silent"

reported by a customer trying to install PSE 7.40.

I advised to re-install in custom mode without FLM, which anyway isn't needed. It worked like that, by avoiding the component.

Then, I had the chance to investigate the same error reported for PME 7.2.2 setup.

PME 7.2 on Win7 x86 - fresh install

Java 8 and 2 other 1.7 versions were present on the customer's PC.

FA231060 published at http://www.schneider-electric.co.uk/support/index?page=content&country=UK&lang=en&id=FA231060&locale... was describing the exact error message and the resolution for it.

For me it worked exactly like in the above resolution.
It is not enough to deactivate the other Java versions from User and System. These have to be uninstalled, PC rebooted, then installation of the PME's provided Java version has to be done.

Later, after PME is installed, a newer Java version can be installed.

Java Runtime Environment SE 8u25 for x86 is exactly the same on both oracle.com and java.com.

sesa105048_brid
Lieutenant Lieutenant
Lieutenant
0 Likes
0
32

Re: jre version used by PME7.2 installer